<!-- [formGroup]="registerform" (ngSubmit)="register()" -->
<form class="sign-m" [formGroup]="registerform" (ngSubmit)="Submitprofile()">
    <h3>Modifier votre mot de passe</h3>

    <div class="mb-3 mt-3">
        <label for="name" class="form-label">Mot de passe actuel</label>
        <input type="text" class="form-control" id="name" name="name" required formControlName="password">
    </div>
    <div class="mb-3 mt-3">
        <label for="name" class="form-label">Nouveau mot de passe</label>
        <input type="text" class="form-control" id="name" name="name" required formControlName="newpassword">
    </div>
    <div class="mb-3 mt-3">
        <label for="name" class="form-label">Confirmer le mot de passe</label>
        <input type="text" class="form-control" id="name" name="name" required formControlName="confirmpassword">
    </div>


    <button type="submit" class="btn btn-signs"><b>Modifier le mot de passe</b></button>
    <button class="btn btn-signs" mat-button mat-dialog-close><b>fermer</b></button><br>


</form>